version: "3.8"

services:
  db:
    image: postgres:latest
    container_name: postgres_latest
    restart: unless-stopped
    environment:
      POSTGRES_USER: duck
      POSTGRES_PASSWORD: duckpass
      POSTGRES_DB: duckdb
    volumes:
      - db_data:/var/lib/postgresql/data
    ports:
      - "5432:5432"

  pgadmin:
    image: dpage/pgadmin4:latest
    container_name: pgadmin_latest
    restart: unless-stopped
    environment:
      PGADMIN_DEFAULT_EMAIL: admin@example.com
      PGADMIN_DEFAULT_PASSWORD: adminpass
    volumes:
      - pgadmin_data:/var/lib/pgadmin
    ports:
      - "8080:80"
    depends_on:
      - db

volumes:
  db_data:
  pgadmin_data:
